wow. i was digging around the contents of the core system included with the OS X installer and the finder version is 8.5.1!!??!żż<br><br>i really went out on a limb and read the read me file (imagine that!), turns out the system requirements is a PowerMac Server G3...<br><br>i thought that all flavors of OS X were post-G3 era<br><br>